View Issue Details

IDProjectCategoryView StatusLast Update
0000499ScribusImport / Exportpublic2004-04-30 23:29
Reporterufechner Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000499: svg text and box import don't work correctly
DescriptionI created a very simple svg-file with inkscape 0.38.1
The size of the text is far too small (1 point instead of 12 point), and the surrounding box isn't displayed at all, even though you can select it.
Additional Informationscribus cvs from 09-april-04, kde 3.2.1, qt 3.3.0, gentoo linux.
TagsNo tags attached.
Patch

Relationships

related to 0002931 acknowledged Metabug: SVG 

Activities

2004-04-19 23:20

 

inkscape1.svg (2,715 bytes)

2004-04-19 23:20

 

svg-import-bug.sla (7,999 bytes)

ufechner

2004-04-19 23:24

reporter   ~0001125

Steps to reproduce:

1. create new, empty document in scribus
2. select file -> import and then import the file inkscape1.svg

If you look at it, it looks very different compared to the look in konqueror or inkscape or sodipodi.

ufechner

2004-04-20 00:29

reporter   ~0001126

Same problem with cvs version from 20th of April 2004.

plinnell

2004-04-20 01:01

viewer   ~0001128

Save As "Plain SVG" in Inkscape is recommended for importing SVG with text. Text imports with correct size here when "Save as Plain" SVG is done in Inkscape.

The 1 point strokes of the star and ellipse do not appear to import properly. The color and type of stroke is ok, but the point size is incorrect.

plinnell

2004-04-25 14:28

viewer   ~0001183

I tested this again with Inkscape 0.39 CVS


*Saving from Inkscape as "Plain SVG" results in text size importing correctly, but the text frame itself is undersized. Easily re-sized. Stroke on objects is still not correct.

* Inkscape 0.39 CVS, now has some basic EPS/EPSI export. Using this and importing into Scribus results in perfect import, though objects are not editable.

* Will report this issue to Inkscape team as well. They are interested in making sure there is good import/export with Scribus

plinnell

2004-04-25 15:48

viewer   ~0001192

changing to minor - not a data loss or crash bug

fschmid

2004-04-28 21:52

administrator   ~0001237

Had a look on the SVG file with vim, the pointsize for the stroke is there 1 pt
so the import is correct.

ufechner

2004-04-28 22:28

reporter   ~0001242

The point-size is not correct. In the svg file the stroke size is 1 point, but if I import it into scribus, the stroke is zero point (nothing - unvisible).

2004-04-28 22:34

 

svg_import_bug.png (46,198 bytes)
svg_import_bug.png (46,198 bytes)

2004-04-28 22:34

 

svg_in_konqueror.png (127,117 bytes)
svg_in_konqueror.png (127,117 bytes)

ufechner

2004-04-28 22:35

reporter   ~0001243

I tested this with the CVS version from 29th of April 2004.
Bug still there.

cbradney

2004-04-29 00:08

administrator   ~0001245

We think this is a Qt bug, as per the fix in 3.3.2:
- QString
    Made string-to-number conversions interpret strings according
    to the current locale.
    Fixed the format of the %p sprintf flag.
    Perform sanity check on the length parameter to fromUtf8().
    Fixed toDouble() to again return a value even when failing on
    trailing whitespace.
    Performance optimization for startsWith()/endsWith().

We hope to work around this in tomorrow's CVS.

plinnell

2004-04-30 01:35

viewer   ~0001274

Fix does not seem to work on SuSE 9.0 w/ Qt3.3.1

cbradney

2004-04-30 07:05

administrator   ~0001275

Alt CVS is updated, Anon isnt.

plinnell

2004-04-30 23:29

viewer   ~0001286

Confirming the fix with 30 April CVS with Qt 3.3.1

Issue History

Date Modified Username Field Change
2004-04-19 23:20 ufechner New Issue
2004-04-19 23:20 ufechner File Added: inkscape1.svg
2004-04-19 23:20 ufechner File Added: svg-import-bug.sla
2004-04-19 23:24 ufechner Note Added: 0001125
2004-04-20 00:29 ufechner Note Added: 0001126
2004-04-20 01:01 plinnell Note Added: 0001128
2004-04-25 14:28 plinnell Note Added: 0001183
2004-04-25 14:28 plinnell Status new => assigned
2004-04-25 14:28 plinnell Assigned To => fschmid
2004-04-25 15:48 plinnell Note Added: 0001192
2004-04-25 15:48 plinnell Severity major => minor
2004-04-28 21:52 fschmid Status assigned => resolved
2004-04-28 21:52 fschmid Resolution open => fixed
2004-04-28 21:52 fschmid Note Added: 0001237
2004-04-28 22:28 ufechner Status resolved => feedback
2004-04-28 22:28 ufechner Resolution fixed => reopened
2004-04-28 22:28 ufechner Note Added: 0001242
2004-04-28 22:34 ufechner File Added: svg_import_bug.png
2004-04-28 22:34 ufechner File Added: svg_in_konqueror.png
2004-04-28 22:35 ufechner Note Added: 0001243
2004-04-29 00:08 cbradney Note Added: 0001245
2004-04-29 23:25 fschmid Status feedback => resolved
2004-04-29 23:25 fschmid Resolution reopened => fixed
2004-04-30 01:35 plinnell Status resolved => feedback
2004-04-30 01:35 plinnell Resolution fixed => reopened
2004-04-30 01:35 plinnell Note Added: 0001274
2004-04-30 07:05 cbradney Note Added: 0001275
2004-04-30 21:00 fschmid Status feedback => resolved
2004-04-30 21:00 fschmid Resolution reopened => fixed
2004-04-30 23:29 plinnell Status resolved => closed
2004-04-30 23:29 plinnell Note Added: 0001286
2006-05-17 19:40 christoph_s Relationship added related to 0002931